Subject: bug#20149: closed (Re: bug#20149: Cannot byte-compile 'undo-tree' since commit 801eda8a2)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Mar 2015 20:31:02 +0000

Your bug report

#20149: Cannot byte-compile 'undo-tree' since commit 801eda8a2

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20149: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20149
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20149: Cannot byte-compile 'undo-tree' since commit 801eda8a2
From: Stefan Monnier <[email-masked]>
To: Tassilo Horn <[email-masked]>
Cc: Vladimir Lomov <[email-masked]>, [email-masked]
Date: Fri, 20 Mar 2015 16:30:14 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I installed a patch which should fix it,

        Stefan

Subject: Cannot byte-compile 'undo-tree' since commit 801eda8a2
From: Vladimir Lomov <[email-masked]>
To: [email-masked]
Date: Fri, 20 Mar 2015 13:15:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I was able to byte-compile 'undo-tree' package using Emacs from
commit f925fc93 but since that commit Emacs stops compilation with
message:

  In undo-tree-update-menu-bar:
  undo-tree.el:1232:7:Warning: reference to free variable `undo-tree-mode'
  undo-tree.el:1481:1:Error: Symbol's function definition is void: undo-tree-make-node

I don't think this is a problem of the package, because the next four
commits: 801eda8a2, a961dcedeb, b0743354e, 508049aa have some
trouble(s), so I wasn't able to compile Emacs. Below is terminal output
before the stop:

  Loading /home/vladimir/works/projects/pkgbuild/emacs/src/emacs/lisp/select.el (source)...
  Loading /home/vladimir/works/projects/pkgbuild/emacs/src/emacs/lisp/emacs-lisp/timer.el (source)...
  Eager macro-expansion failure: (void-function cl-every)
  Eager macro-expansion failure: (void-function cl-every)
  Symbol's function definition is void: cl-every

---
WBR, Vladimir Lomov

-- 
new, adj.:
	Different color from previous model.